<?php
namespace Pluie\Zic;

use Ma\App as CoreApp;
use Ma\Sys\Dbg;
use Ma\Web\SessionManager;
use Pluie\Zic\Ctrl\ZicCtrl;

/**
 * @package         Pluie\Zic
 * @class           App
 * @extends         Ma\App
 * @author          Mahdi Abu Yasmine
 * @date            2024-02-16 16:15:07 CET
 * @copyright       meta-tech.academy
 */
class App extends CoreApp
{
    public function init(array $config)
    {
        $this->services['session'] = new SessionManager($config['session']);
        $this->services['session']->start();
    }

    public function routing()
    {
        new ZicCtrl($this, "");
    }
}
